package ru.uss.vstore.localserver;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UFormDataGenResponse")
public class UFormDataGenResponse {

    @XmlElement
    private String uFormBody;

    @XmlElement
    private String version;

    @XmlElement
    private String signature;

    public UFormDataGenResponse() {
        //empty
    }

    public UFormDataGenResponse(String uFormBody, String version, String signature) {
        this.uFormBody = uFormBody;
        this.version = version;
        this.signature = signature;
    }

    public String getuFormBody() {
        return uFormBody;
    }

    public void setuFormBody(String uFormBody) {
        this.uFormBody = uFormBody;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }
}
